#!/bin/bash

#set -x

I18NDOMAIN=PlanReport
PRODUCT_DIR=`dirname $PWD`
PRODUCT=`basename $PRODUCT_DIR`
POT=$PRODUCT.pot
LOG=rebuild-pot.log
PYTHON=/usr/bin/python
PWD=`pwd`

I18NDUDE=$INSTANCE_HOME/Products/i18ndude/i18ndude
if [ ! -e $I18NDUDE ]; then
    echo "Unable to locate i18ndude utility!"
    exit 1
fi

echo "Rebuilding to $POT - this takes a while, logging to $LOG"

# Using --merge the resulting file is kept sorted by msgid
$PYTHON $I18NDUDE rebuild-pot --pot $POT --create $I18NDOMAIN --merge manual.pot $PRODUCT_DIR/skins/ >$LOG 2>&1

# Remove '## X more:' occurences
sed -ri "/## [0-9]+ more:/d" $POT

# Made paths relative to Product skins dir
sed -ri "s,$PRODUCT_DIR,\.,g" $POT

if grep 'Literal msgids should be avoided' $LOG > /dev/null; then
    echo "Templates with unneeded literal msgid:"
    grep 'Literal msgids should be avoided' $LOG | sed -s 's,Unneeded literal msgid in,,' | sort | uniq
fi

echo "Full report in rebuild-pot.log"

exit 0
